# lugins/osg/TexMat.cpp File Reference

`#include <osg/TexMat>`
`#include <osgDB/Registry>`
`#include <osgDB/Input>`
`#include <osgDB/Output>`

Include dependency graph for lugins/osg/TexMat.cpp:

## Functions

bool | TexMat_readLocalData (Object &obj, Input &fr)
bool | TexMat_writeLocalData (const Object &obj, Output &fw)

## Variables

RegisterDotOsgWrapperProxy | g_TexMatProxy (new osg::TexMat,"TexMat","Object StateAttribute TexMat",&TexMat_readLocalData,&TexMat_writeLocalData)

## Function Documentation

bool TexMat_readLocalData | ( | Object & | obj,
|  | Input & | fr
| ) |

bool TexMat_writeLocalData | ( | const Object & | obj,
|  | Output & | fw
| ) |

## Variable Documentation

RegisterDotOsgWrapperProxy g_TexMatProxy(new osg::TexMat,"TexMat","Object StateAttribute TexMat",&TexMat_readLocalData,&TexMat_writeLocalData)